メインコンテンツへスキップ
GET
/
v3beta1
/
organizations
/
{org_id}
/
repositories
組織で利用可能なリポジトリを一覧表示する
curl --request GET \
  --url https://api.devin.ai/v3beta1/organizations/{org_id}/repositories \
  --header 'Authorization: Bearer <token>'
{
  "items": [
    {
      "git_connection_host": "<string>",
      "git_connection_id": "<string>",
      "indexing_status": {
        "indexing_enabled": true,
        "latest_completed_search_index_job": {
          "branch_name": "<string>",
          "commit": "<string>",
          "created_at": 123,
          "job_id": "<string>",
          "status": "failed"
        },
        "latest_completed_wiki_index_job": {
          "branch_name": "<string>",
          "commit": "<string>",
          "created_at": 123,
          "job_id": "<string>",
          "status": "failed"
        },
        "latest_indexes": [
          {
            "branch_name": "<string>",
            "commit": "<string>",
            "created_at": 123,
            "job_id": "<string>",
            "status": "failed"
          }
        ]
      },
      "last_updated_at": 123,
      "provider_repository_id": "<string>",
      "repo_description": "<string>",
      "repo_language": "<string>",
      "repo_name": "<string>",
      "repo_path": "<string>"
    }
  ],
  "end_cursor": "<string>",
  "has_next_page": false,
  "total": 123
}

権限

組織レベルの Read 権限を持つサービスユーザーが必要です。

承認

Authorization
string
header
必須

サービスユーザーの認証情報(接頭辞: cog_)

クエリパラメータ

after
string | null
first
integer
デフォルト:100
必須範囲: 1 <= x <= 100
filter_name
string | null
only_repo_paths
string[] | null
exclude_repo_paths
string[] | null
load_indexing_status
boolean
デフォルト:true

レスポンス

成功レスポンス

items
RepositoryResponse · object[]
必須
end_cursor
string | null

次のページを取得するためのカーソル。最後のページでは None になります。

has_next_page
boolean
デフォルト:false

このページの後にさらに項目が存在するかどうか。

total
integer | null

任意の総件数(パフォーマンス上の理由で省略される場合があります)。